
<div class="panel panel-default kampagnen">
	<form method="post" action="{$adminURL}">
		<input type="hidden" value="saveShippingConfig" name="cssAdminConfigAction"> {$jtl_token}
		<div class="panel-body">


		<div class="info alert alert-info">
			<p>Bitte w&auml;hlen Sie die Versandarten aus, die Sie mit zus&auml;tzlichen Optionen konfigurieren m&ouml;chten.</p>
		</div>

		<div class="input-group">
			<span class="input-group-addon" style="vertical-align: top"> <label for=""> Versandart</label></span> <span class="input-group-wrap"> <select name="versand" class="versand form-control">
					<option value="0">Bitte w&auml;hlen zum Hinzuf&uuml;gen</option> {foreach from=$aVersand item=Versand name=versand}
					<option value="{$Versand->kVersandart}" {if in_array($Versand->kVersandart,$aVersandId)} class="hidden" {/if}  {if in_array($Versand->kVersandart,$aVersandId)} disabled {/if}>{$Versand->cName}</option> {/foreach}
			</select>
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Selektieren Sie bitte die Versandarten, die bei Artikel ohne einem Lagerbestand vom Versand ausgeschlossen werden sollen.">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div id="versandoptionen">
		{$versandOptionContent}
		</div>


		<div class="panel-heading" style=" margin-top:100px;">
			<h3 class="panel-title">Globale Konfiguration (<small style="font-size:0.85em">Diese Konfiguration beinhaltet die default Werte f&uuml;r alle <strong class="text-danger">hier</strong> konfigurierten Versandarten.</small>)</h3>
		</div>

		<div class="input-group">
			<span class="input-group-addon"> <label for="googleAPI">Google API Key</label></span> <span class="input-group-wrap"> <input name="googleAPI" id="googleAPI"
				placeholder="API KEY nur f&uuml;r Distanzberechnung erforderlich" class="form-control" value="{$pluginConfig->googleAPI}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte geben Sie hier den Google API key ein den Sie zur Distanzberechnung ben&ouml;tigen.">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div class="versandoption">
			<div class="input-group">
				<span class="input-group-addon"> <label for="versandSelector">Gesperrte Tage</label></span><span class="input-group-wrap"><input type="text" name="global_days"
					value="{$pluginConfig->global_days}" class="form-control calendar"></span><span class="input-group-wrap" style="max-width: 40px;"><input name="caltrigger"
					class="btn btn-primary calendar-trigger text-center  form-control" value="Kalender"> </span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip"
						data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button" data-original-title="Bitte geben Sie die Tage ein, an denen die hier konfigurierten Versandarten nicht angezeigt werden sollen.">
						<i class="fa fa-question"></i>
					</button></span>
			</div>
		</div>

		<div class="input-group">
			<span class="input-group-addon"> <label for="versandSelector">Position des Versandhinweises</label></span> <span class="input-group-wrap"> <input name="versandSelector" id="versandSelector"
				placeholder="#add-to-cart (oder &auml;hnliches)" class="form-control" value="{$pluginConfig->versandSelector}">
			</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="Bitte geben Sie den Selector ein wo der Versandhinweis angezeigt werden soll.">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div class="btn-group input-group" data-toggle="buttons">
			<span class="input-group-addon"> <label for="versandPosition">Position des Versandhinweises</label></span> <span class="input-group-wrap"> <select id="versandPosition" name="versandPosition"
				class="form-control">
					<Option {if $pluginConfig->versandPosition=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
					<Option {if $pluginConfig->versandPosition=='append' } selected {/if} value="append">Am Ende des Elements</Option>
					<Option {if $pluginConfig->versandPosition=='before'} selected {/if} value="before" >vor dem Element</Option>
					<Option {if $pluginConfig->versandPosition=='after'} selected {/if} value="after" >Nach dem Element</Option>
					<Option {if $pluginConfig->versandPosition=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
			</select>
			</span> <span class="input-group-addon"><button title="" data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
					data-original-title="W&auml;hlen  Sie die Position und die Art, wie die Inhalte eingesetzt werden sollen">
					<i class="fa fa-question"></i>
				</button></span>
		</div>

		<div class="panel-heading" style="margin-top:50px";>
			<h3 class="panel-title">Globale Konfiguration die alle Versandarten betrifft und auch deren Konfigurationen &uuml;berschreibt.</h3>
		</div>


			<div class="input-group">
				<span class="input-group-addon" style="vertical-align: top"> <label for="">Verpackungsberechnung aktiv</label></span> <span class="input-group-wrap"> <select
					name="global_usePackage" class="global_usePackage  form-control">
						<option {if isset($pluginConfig->global_usePackage) && $pluginConfig->global_usePackage=='N' }selected{/if} value="N">Nein</option>
						<option {if isset($pluginConfig->global_usePackage) && $pluginConfig->global_usePackage=='Y' }selected{/if} value="Y">Ja</option>
				</select>
				</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
						data-original-title="Gibt an, ob die Verpackungsoption immer gepr&uuml;ft und angezeigt wird, unabh&auml;ngig von der Versandart">
						<i class="fa fa-question"></i>
					</button></span>
			</div>

			<div class="input-group">
				<span class="input-group-addon"> <label>Mindermengenzuschlag bis Brutto Warenwert </label></span> <span class="input-group-wrap"> <input name="global_minPrice" placeholder="0.0"
					class="minPrice form-control" value="{$pluginConfig->global_minPrice}">
				</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
						data-original-title="Bitte geben Sie den Mindestwert an, den die Versandart betragen muss, ist die Berechnung der Versandkosten unter dem eingegebenem Betrag, wird dieser Wert genommen.">
						<i class="fa fa-question"></i>
					</button></span>
			</div>

			<div class="input-group">
				<span class="input-group-addon"> <label>Mindermengenzuschlag Brutto</label></span> <span class="input-group-wrap"> <input name="global_minimumQuantitySurcharge" placeholder="0.0"
					class="global_minimumQuantitySurcharge form-control" value="{$pluginConfig->global_minimumQuantitySurcharge}">
				</span> <span class="input-group-addon"><button data-placement="left" data-toggle="tooltip" data-html="true" class="btn-tooltip btn btn-info btn-heading" type="button"
						data-original-title="Bitte geben Sie den Mindermengenzuschlag ein.">
						<i class="fa fa-question"></i>
					</button></span>
			</div>

		<div class="text-right" style="padding: 0px 10px 20px 0px">
			<button class="btn btn-primary" value="senden" type="submit" name="senden">
				<i class="fa fa-save"></i> speichern
			</button>
			
		</div>
	</form>

</div>
</div>
<div class="hidden" id="versandvorlage">
{$vorlageShippingOption}
</div>
{literal}
<script>
	jQuery(document).ready(function() {
		$("body").on("click", ".calendar-trigger", function() {
			console.log("klicked");
			var el = $(this).closest(".versandoption").find(".calendar");
			console.log(el);
			if (!$(el).hasClass("initalizied")) {
				$ed = $(el).pignoseCalendar({
					format : 'YYYY-MM-DD', // date format string. (2017-02-02)
					buttons : true,
					lang : 'de',
					week : 0,
					multiple : true,
					toggle : true,
					theme : 'light',
					initialize : true,
					selectOver:	true,
				});
			}
			$(el).trigger("click");
			return;
			var cssDateRange = $(el).val();
			cssDateRange = cssDateRange.split(',')
			for(var cssDateRangeCounter = 0; cssDateRangeCounter<cssDateRange.length;cssDateRangeCounter++) {
				console.log(cssDateRange[cssDateRangeCounter]);

				$(el).pignoseCalendar('set', cssDateRange);
			}
			$(this).blur();
		});

	});

	$('.input-calendar__').pignoseCalendar({

		// en, ko, fr, ch, de, jp, pt, fr
		lang : 'en',

		// You can change auto initialized date at first.
		date : moment(),

		// light, dark
		theme : 'light',

		// date format
		format : 'YYYY-MM-DD',

		// CSS class array
		classOnDays : [],

		// array of enabled dates
		enabledDates : [],

		// disabled dates
		disabledDates : [],

		// You can disable by using a weekday number array (This is a sequential number start from 0 [sunday]).
		disabledWeekdays : [],

		// This option is advanced way to using disable settings, You can give multiple disabled range by double array date string by formatted to 'YYYY-MM-DD'.
		disabledRanges : [],

		// Set and array of events to pin on calendar. 
		// Each event is an object that must contain a date string formatted to 'YYYY-MM-DD' and class key that belong to classOnEvents dictionary indicating its color on calendar. 
		// Events with not color class suitable are all pin with  #5c6270. 
		// Issues may arise when the number of color class increase, this could break the calendar cell.
		schedules : [],

		// Set a dictionary with class 'key' and color code 'value' used for pin events class by date.
		scheduleOptions : {
			colors : {}
		},

		// Your first day of week (0: Sunday ~ 6: Saturday).
		week : 0,

		// If you set true this option, You can use multiple range picker by one click on your Calendar.
		pickWeeks : false,

		//  You can turn on/off initialized date by this option.
		initialize : true,

		// enable multiple date selection
		multiple : true,

		// use toggle in the calendar
		toggle : true,

		// shows buttons
		buttons : false,

		// reverse mode
		reverse : false,

		// display calendar as modal
		modal : false,

		// minimum disable date range by 'YYYY-MM-DD' formatted string
		minDate : null,

		// maximum disable date range by 'YYYY-MM-DD' formatted string
		maxDate : null,

		// If you set true this option, You can pass the check of disabled dates when multiple mode enabled.
		selectOver : false,

		// called when you apply a date on calendar. (OK button click).
		apply : function() {
		},

		// called when you apply a date on calendar. (OK button click).
		click : null

	});
	// 	$('.calendar').pignoseCalendar('set', '2017-04-20');
</script>
{/literal}
